package main

import (
  "log"
)

type Commit struct {
  CommitId string `json:"commit_id"`
  RootId string `json:"root_id"`
  RepoId string `json:"repo_id"`
  CreatorName string `json:"creator_name"`
  Creator string `json:"creator"`
  Description string `json:"description"`
  Ctime uint64 `json:"ctime"`
  ParentId string `json:"parent_id"`
  SecondParentId string `json:"second_parent_id"`
  RepoName string `json:"repo_name"`
  RepoDesc string `json:"repo_desc"`
  RepoCategory string `json:"repo_category"`
  NoLocalHistory int `json:"no_local_history"`
  Version int `json:"version"`
}

func cmdCommit(config configCollect) {
  rexists := repoExistsIn(config.Storage, config.RepoId)
  if !rexists["commits"] { log.Fatal("No commits folder found for repo ",config.RepoId) }
}
